spi_user_config_t Struct Reference

user config from host for spi More...

`#include <bus_pal_hardware.h>`

## Data Fields

spi_clock_polarity_t | polarity
spi_clock_phase_t | phase
spi_shift_direction_t | direction
uint32_t | baudRate_Bps
uint32_t | clock_Hz

## Detailed Description

user config from host for spi

## Field Documentation

uint32_t baudRate_Bps

Baud Rate for SPI in Hz

uint32_t clock_Hz

spi_shift_direction_t direction

MSB or LSB

spi_clock_phase_t phase

Clock phase

spi_clock_polarity_t polarity

Clock polarity

The documentation for this struct was generated from the following file:

- MKL25Z4/src/bus_pal_hardware.h